Bug 81196

Summary: [PATCH] Unbreak editors/ooodict-all and slave ports
Product: Ports & Packages Reporter: Nicholas Kirby <nkirby>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Nicholas Kirby 2005-05-18 12:10:02 UTC
	This patch unbreaks editors/ooodict-all by correcting the checksums of all of 
its slave ports, and setting their dependancies to editors/openoffice1.1 by 
default (since dictionaries can be used by any version of OOo the 
dictionaries are better dependant on the master port of OOo, rather than the 
version of OOo released in the language the dictionary is for).

Fix: Fix is attached unified diff. Sent to both GNATS and the port's 
maintainer.

--Boundary-00=_9CyiCfmM65ARSDi
Content-Type: text/x-diff;
  charset="us-ascii";
  name="ooodict-all.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="ooodict-all.diff"



--Boundary-00=_9CyiCfmM65ARSDi----aZ0okf2J1crFdElQMHy4MAm4BZ7dsnX8w5ZuPkBjUwgjT4f7
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN ports.orig/editors/ooodict-all/Makefile ports/editors/ooodict-all/Makefile
--- ports.orig/editors/ooodict-all/Makefile	Sat Mar 26 18:40:15 2005
+++ ports/editors/ooodict-all/Makefile	Wed May 18 04:53:39 2005
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	ooodict
-PORTVERSION=	1.20050221
-PORTREVISION=	1
+PORTVERSION=	1.20050518
 CATEGORIES+=	editors
 MASTER_SITES+=	http://ftp.gwdg.de/pub/misc/openoffice/contrib/dictionaries/
 DISTFILES+=	${LANGDIST}
@@ -16,8 +15,6 @@
 MAINTAINER=     openoffice@FreeBSD.org
 COMMENT?=	MySpell dictionaries for OpenOffice.org
 
-BROKEN=		Missing dependency on unzip
-
 USE_ZIP=	yes
 EXTRACT_ONLY=
 
@@ -25,18 +22,18 @@
 DICTMETAPORT=	yes
 LANGDIST?=	bg_BG.zip ca_ES.zip hr_HR.zip cs_CZ.zip \
 		da_DK.zip nl_NL.zip en_CA.zip en_GB.zip \
-		fr_FR.zip de_DE.zip de_CH.zip hu_HU.zip \
-		it_IT.zip pl_PL.zip pt_PT.zip pt_BR.zip \
-		es_ES.zip sk_SK.zip sv_SE.zip el_GR.zip \
-		ru_RU_yo.zip uk_UA.zip
+		en_US.zip fr_FR.zip de_DE.zip de_CH.zip \
+		hu_HU.zip it_IT.zip pl_PL.zip pt_PT.zip \
+		pt_BR.zip es_ES.zip sk_SK.zip sv_SE.zip \
+		el_GR.zip ru_RU.zip uk_UA.zip
 
-HYPHDIST?=	hyph_cs_CZ.zip hyph_da_DK.zip hyph_de_DE.zip \
-		hyph_en_CA.zip hyph_en_GB.zip hyph_es_ES.zip \
-		hyph_fr_FR.zip hyph_it_IT.zip hyph_nl_NL.zip \
+HYPHDIST?=	hyph_bg_BG.zip hyph_cs_CZ.zip hyph_da_DK.zip \
+		hyph_de_DE.zip hyph_en_CA.zip hyph_en_GB.zip \
+		hyph_en_US.zip hyph_es_ES.zip hyph_fr_FR.zip \
+		hyph_it_IT.zip hyph_pl_PL.zip hyph_nl_NL.zip \
 		hyph_pt_BR.zip hyph_pt_PT.zip hyph_ru_RU.zip \
-		hyph_sk_SK.zip hyph_sl_SI.zip hyph_uk_UA.zip
+		hyph_sk_SK.zip hyph_sv_SE.zip hyph_uk_UA.zip
 .endif
-IGNOREFILES=	${DISTFILES}
 CUT?=	/usr/bin/cut
 
 .include <bsd.port.pre.mk>
diff -ruN ports.orig/editors/ooodict-all/distinfo ports/editors/ooodict-all/distinfo
--- ports.orig/editors/ooodict-all/distinfo	Mon Feb 21 03:06:09 2005
+++ ports/editors/ooodict-all/distinfo	Wed May 18 04:35:51 2005
@@ -1,37 +1,42 @@
-MD5 (openoffice/bg_BG.zip) = IGNORE
-MD5 (openoffice/ca_ES.zip) = IGNORE
-MD5 (openoffice/hr_HR.zip) = IGNORE
-MD5 (openoffice/cs_CZ.zip) = IGNORE
-MD5 (openoffice/da_DK.zip) = IGNORE
-MD5 (openoffice/nl_NL.zip) = IGNORE
-MD5 (openoffice/en_CA.zip) = IGNORE
-MD5 (openoffice/en_GB.zip) = IGNORE
-MD5 (openoffice/fr_FR.zip) = IGNORE
-MD5 (openoffice/de_DE.zip) = IGNORE
-MD5 (openoffice/de_CH.zip) = IGNORE
-MD5 (openoffice/hu_HU.zip) = IGNORE
-MD5 (openoffice/it_IT.zip) = IGNORE
-MD5 (openoffice/pl_PL.zip) = IGNORE
-MD5 (openoffice/pt_PT.zip) = IGNORE
-MD5 (openoffice/pt_BR.zip) = IGNORE
-MD5 (openoffice/es_ES.zip) = IGNORE
-MD5 (openoffice/sk_SK.zip) = IGNORE
-MD5 (openoffice/sv_SE.zip) = IGNORE
-MD5 (openoffice/el_GR.zip) = IGNORE
-MD5 (openoffice/ru_RU_yo.zip) = IGNORE
-MD5 (openoffice/uk_UA.zip) = IGNORE
-MD5 (openoffice/hyph_cs_CZ.zip) = IGNORE
-MD5 (openoffice/hyph_da_DK.zip) = IGNORE
-MD5 (openoffice/hyph_de_DE.zip) = IGNORE
-MD5 (openoffice/hyph_en_CA.zip) = IGNORE
-MD5 (openoffice/hyph_en_GB.zip) = IGNORE
-MD5 (openoffice/hyph_es_ES.zip) = IGNORE
-MD5 (openoffice/hyph_fr_FR.zip) = IGNORE
-MD5 (openoffice/hyph_it_IT.zip) = IGNORE
-MD5 (openoffice/hyph_nl_NL.zip) = IGNORE
-MD5 (openoffice/hyph_pt_BR.zip) = IGNORE
-MD5 (openoffice/hyph_pt_PT.zip) = IGNORE
-MD5 (openoffice/hyph_ru_RU.zip) = IGNORE
-MD5 (openoffice/hyph_sk_SK.zip) = IGNORE
-MD5 (openoffice/hyph_sl_SI.zip) = IGNORE
-MD5 (openoffice/hyph_uk_UA.zip) = IGNORE
+MD5 (openoffice/bg_BG.zip) = 0619620e36b1a9a45995f939d765fd3e
+MD5 (openoffice/ca_ES.zip) = 6cea81b3e1101fb277062e7eef4ff720
+MD5 (openoffice/hr_HR.zip) = 5c5d0479b0fb7e7d2b5e0533cc2e370b
+MD5 (openoffice/cs_CZ.zip) = b8d4a6943ec18300a9b0047d2540209e
+MD5 (openoffice/da_DK.zip) = 1ac8dffa720651b91b2acb9b8dc1007b
+MD5 (openoffice/nl_NL.zip) = caab73fe1aaf03a59860765e0b7637f8
+MD5 (openoffice/en_CA.zip) = c14942ea471a5182f376802c68933880
+MD5 (openoffice/en_GB.zip) = 31736e7e88a2cc94e17ac7d9b1ad580f
+MD5 (openoffice/en_US.zip) = 21f03b559933dc11688a2aa85359902b
+MD5 (openoffice/fr_FR.zip) = 904d799ab36df32cc598a8dc7990649f
+MD5 (openoffice/de_DE.zip) = 9eb02aad372bcd12209e761762ffb10a
+MD5 (openoffice/de_CH.zip) = 2da60dd02b5a62f1a5c8b9e4a3a7fe4d
+MD5 (openoffice/hu_HU.zip) = e697bbd1025a7f11716d7988fcfba778
+MD5 (openoffice/it_IT.zip) = 76615219b1f96d73abcf61996ad81163
+MD5 (openoffice/pl_PL.zip) = 635b1f2a8c99c2b61760b03ddca7d5db
+MD5 (openoffice/pt_PT.zip) = 6f44ed7caf6846dca9d539bb390719c4
+MD5 (openoffice/pt_BR.zip) = 83aa4540283c0049c27271576890fd88
+MD5 (openoffice/es_ES.zip) = bbddbaf60bc6660455fbbd8f52f1d871
+MD5 (openoffice/sk_SK.zip) = 2cd6e4e2fe7558fe98053b1cb103215d
+MD5 (openoffice/sv_SE.zip) = 8d9c49a43bfbecec6962c1344914dc8d
+MD5 (openoffice/el_GR.zip) = 02d4c0022dee569bd4733e02ef885dc4
+MD5 (openoffice/ru_RU.zip) = 67da1e4d594de554a9184568235ab301
+MD5 (openoffice/uk_UA.zip) = a0ae3b331ae5566a330d1bccc4a95791
+MD5 (openoffice/hyph_bg_BG.zip) = c9a456317214bc336d764e9d94bdd3d2
+MD5 (openoffice/hyph_cs_CZ.zip) = 7dc7192fb3c141db6518c54781df6846
+MD5 (openoffice/hyph_da_DK.zip) = c398f568793bc62982f1179f2db0c119
+MD5 (openoffice/hyph_de_DE.zip) = b58540aed1323894242c9c2ff9c51913
+MD5 (openoffice/hyph_de_CH.zip) = d8c4f525869c46cc52185356271121ab
+MD5 (openoffice/hyph_en_CA.zip) = 2f03411f2a8335a84b64a0d7255518de
+MD5 (openoffice/hyph_en_GB.zip) = 1c9bda9ce2b52246ecdb7107998cbeec
+MD5 (openoffice/hyph_en_US.zip) = 54e447e19a8ed73331afee93415ffaab
+MD5 (openoffice/hyph_es_ES.zip) = d34ab9eefdb49147c57c01227eeb0c66
+MD5 (openoffice/hyph_fr_FR.zip) = eb13ba5b369e72bc45f5762745ca4471
+MD5 (openoffice/hyph_it_IT.zip) = db546e7bb7cf72fc3c751e70f83ed659
+MD5 (openoffice/hyph_pl_PL.zip) = 2f81a155d8aa7479c912ae019eb5bae0
+MD5 (openoffice/hyph_nl_NL.zip) = ba5c271337479a8f8ddc2a3d6a99b37b
+MD5 (openoffice/hyph_pt_BR.zip) = aec223b5efc1e231015ebd2ae9c359e6
+MD5 (openoffice/hyph_pt_PT.zip) = 327989bbbfc9f9d56eb772427a344eb3
+MD5 (openoffice/hyph_ru_RU.zip) = f8a8b8a368bc7394b5a4060082c44bb4
+MD5 (openoffice/hyph_sk_SK.zip) = 89ad655afadb78f6ceb87d9e1e3a675f
+MD5 (openoffice/hyph_sv_SE.zip) = a1c31b48cbf570bb05f22e98dacb9e17
+MD5 (openoffice/hyph_uk_UA.zip) = caae40c900d8e1fdd3e0ad095ce1e787
diff -ruN ports.orig/editors/ooodict-bg_BG/Makefile ports/editors/ooodict-bg_BG/Makefile
--- ports.orig/editors/ooodict-bg_BG/Makefile	Sat Nov 15 03:08:56 2003
+++ ports/editors/ooodict-bg_BG/Makefile	Wed May 18 04:00:24 2005
@@ -12,7 +12,8 @@
 LANGPREFIX=	bg
 LANGSUFFIX=	BG
 LANGDIST+=	bg_BG.zip
+HYPHDIST+=	hyph_bg_BG.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-ca_ES/Makefile ports/editors/ooodict-ca_ES/Makefile
--- ports.orig/editors/ooodict-ca_ES/Makefile	Sat Nov 15 03:08:56 2003
+++ ports/editors/ooodict-ca_ES/Makefile	Wed May 18 04:04:25 2005
@@ -13,6 +13,6 @@
 LANGSUFFIX=	ES
 LANGDIST+=	ca_ES.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-es
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-cs_CZ/Makefile ports/editors/ooodict-cs_CZ/Makefile
--- ports.orig/editors/ooodict-cs_CZ/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-cs_CZ/Makefile	Wed May 18 02:30:46 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	cs_CZ.zip
 HYPHDIST+=	hyph_cs_CZ.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-da_DK/Makefile ports/editors/ooodict-da_DK/Makefile
--- ports.orig/editors/ooodict-da_DK/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-da_DK/Makefile	Wed May 18 04:14:12 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	da_DK.zip
 HYPHDIST+=	hyph_da_DK.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-dk
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-el_GR/Makefile ports/editors/ooodict-el_GR/Makefile
--- ports.orig/editors/ooodict-el_GR/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-el_GR/Makefile	Wed May 18 03:06:13 2005
@@ -13,6 +13,6 @@
 LANGSUFFIX=	GR
 LANGDIST+=	el_GR.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-gr
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-en_CA/Makefile ports/editors/ooodict-en_CA/Makefile
--- ports.orig/editors/ooodict-en_CA/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-en_CA/Makefile	Wed May 18 02:36:32 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	en_CA.zip
 HYPHDIST+=	hyph_en_CA.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-en_GB/Makefile ports/editors/ooodict-en_GB/Makefile
--- ports.orig/editors/ooodict-en_GB/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-en_GB/Makefile	Wed May 18 02:37:51 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	en_GB.zip
 HYPHDIST+=	hyph_en_GB.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-en_US/Makefile ports/editors/ooodict-en_US/Makefile
--- ports.orig/editors/ooodict-en_US/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-en_US/Makefile	Wed May 18 04:16:32 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	en_US.zip
 HYPHDIST+=	hyph_en_US.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-es_ES/Makefile ports/editors/ooodict-es_ES/Makefile
--- ports.orig/editors/ooodict-es_ES/Makefile	Sat Dec 18 16:02:24 2004
+++ ports/editors/ooodict-es_ES/Makefile	Wed May 18 04:21:40 2005
@@ -14,10 +14,6 @@
 LANGDIST+=	es_ES.zip
 HYPHDIST+=	hyph_es_ES.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-es
-
-BROKEN=		"Checksum mismatch"
-EXPIRATION_DATE=2005-02-18
-DEPRECATED=	${BROKEN}
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-hr_HR/Makefile ports/editors/ooodict-hr_HR/Makefile
--- ports.orig/editors/ooodict-hr_HR/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-hr_HR/Makefile	Wed May 18 04:12:09 2005
@@ -13,6 +13,6 @@
 LANGSUFFIX=	HR
 LANGDIST+=	hr_HR.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-it_IT/Makefile ports/editors/ooodict-it_IT/Makefile
--- ports.orig/editors/ooodict-it_IT/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-it_IT/Makefile	Wed May 18 04:22:07 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	it_IT.zip
 HYPHDIST+=	hyph_it_IT.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-it
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-nl_NL/Makefile ports/editors/ooodict-nl_NL/Makefile
--- ports.orig/editors/ooodict-nl_NL/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-nl_NL/Makefile	Wed May 18 04:14:49 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	nl_NL.zip
 HYPHDIST+=	hyph_nl_NL.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-nl
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sk_SK/Makefile ports/editors/ooodict-sk_SK/Makefile
--- ports.orig/editors/ooodict-sk_SK/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-sk_SK/Makefile	Wed May 18 03:01:28 2005
@@ -14,6 +14,6 @@
 LANGDIST+=	sk_SK.zip
 HYPHDIST+=	hyph_sk_SK.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/Makefile ports/editors/ooodict-sv_SE/Makefile
--- ports.orig/editors/ooodict-sv_SE/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-sv_SE/Makefile	Wed May 18 04:23:32 2005
@@ -12,7 +12,8 @@
 LANGPREFIX=	sv
 LANGSUFFIX=	SE
 LANGDIST+=	sv_SE.zip
+HYPHDIST+=      hyph_sv_SE.zip
 MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-se
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-all/Makefile ports/editors/ooodict-sv_SE/ooodict-all/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-all/Makefile	Sat Mar 26 18:40:15 2005
+++ ports/editors/ooodict-sv_SE/ooodict-all/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,188 +0,0 @@
-# New ports collection makefile for: OpenOffice.org Spell Checking Dictionaries
-# Date created:         Tue Aug 10 24:00:00 UTC 2002
-# Whom:         Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-all/Makefile,v 1.31 2005/03/27 01:40:15 kris Exp $
-#
-
-PORTNAME=	ooodict
-PORTVERSION=	1.20050221
-PORTREVISION=	1
-CATEGORIES+=	editors
-MASTER_SITES+=	http://ftp.gwdg.de/pub/misc/openoffice/contrib/dictionaries/
-DISTFILES+=	${LANGDIST}
-DISTFILES+=	${HYPHDIST}
-
-MAINTAINER=     openoffice@FreeBSD.org
-COMMENT?=	MySpell dictionaries for OpenOffice.org
-
-BROKEN=		Missing dependency on unzip
-
-USE_ZIP=	yes
-EXTRACT_ONLY=
-
-.if !defined(LANGDIST)
-DICTMETAPORT=	yes
-LANGDIST?=	bg_BG.zip ca_ES.zip hr_HR.zip cs_CZ.zip \
-		da_DK.zip nl_NL.zip en_CA.zip en_GB.zip \
-		fr_FR.zip de_DE.zip de_CH.zip hu_HU.zip \
-		it_IT.zip pl_PL.zip pt_PT.zip pt_BR.zip \
-		es_ES.zip sk_SK.zip sv_SE.zip el_GR.zip \
-		ru_RU_yo.zip uk_UA.zip
-
-HYPHDIST?=	hyph_cs_CZ.zip hyph_da_DK.zip hyph_de_DE.zip \
-		hyph_en_CA.zip hyph_en_GB.zip hyph_es_ES.zip \
-		hyph_fr_FR.zip hyph_it_IT.zip hyph_nl_NL.zip \
-		hyph_pt_BR.zip hyph_pt_PT.zip hyph_ru_RU.zip \
-		hyph_sk_SK.zip hyph_sl_SI.zip hyph_uk_UA.zip
-.endif
-IGNOREFILES=	${DISTFILES}
-CUT?=	/usr/bin/cut
-
-.include <bsd.port.pre.mk>
-
-BUILD_DEPENDS=	unzip:${PORTSDIR}/archivers/unzip
-.if !defined(INSTALLATION_BASEDIR)
-INSTALLATION_BASEDIR=	OpenOffice.org1.1.4
-.if defined(RDEP)
-BUILD_DEPENDS=	${DICT_LIST_INST}:${RDEP}
-RUN_DEPENDS=	${DICT_LIST_INST}:${RDEP}
-.else
-BUILD_DEPENDS=	${DICT_LIST_INST}:${PORTSDIR}/editors/openoffice-1.1
-RUN_DEPENDS=	${DICT_LIST_INST}:${PORTSDIR}/editors/openoffice-1.1
-.endif
-.endif
-
-DIST_SUBDIR=		openoffice
-DICT_DIR=		${INSTALLATION_BASEDIR}/share/dict/ooo
-DICT_PATH=		${LOCALBASE}/${DICT_DIR}
-DICT_LIST_INST=		${DICT_PATH}/dictionary.lst
-DICT_PATH_PLIST=	"%D/${DICT_DIR}"
-DICT_LIST=		${DICT_PATH_PLIST}/dictionary.lst
-PLIST=			${WRKDIR}/pkg-plist
-
-.if defined(LANGPREFIX)
-PKGNAMEPREFIX=	${LANGPREFIX}-
-.endif
-.if defined(LANGSUFFIX)
-PKGNAMESUFFIX=	-${LANGSUFFIX}
-.endif
-
-.if exists(${.CURDIR}/pkg-descr)
-DESCR=		${.CURDIR}/pkg-descr
-.endif
-
-WRKSRC=		${WRKDIR}
-NO_BUILD=	yes
-
-EXTRACT_CMD_L?=		unzip
-EXTRACT_BEFORE_ARGS_L?=	-q -o
-EXTRACT_AFTER_ARGS_L?=	-d ${PREFIX}/${DICT_DIR}
-
-pre-install:
-.if ! exists(${WRKDIR}/pkg-plist)
-	@${TOUCH} ${WRKDIR}/pkg-plist
-.endif
-
-do-install:
-
-post-install:
-	@for file in ${LANGDIST}; do \
-		ABRV=`${ECHO_CMD} $${file} | ${SED} -e 's|\.zip||'`; \
-		LANGUAGE=`${ECHO_CMD} $${ABRV} | ${SED} -e 's|_.*||'`; \
-		COUNTRY=`${ECHO_CMD} $${ABRV} | ${SED} -e 's|.*_||' | ${CUT} -c 1,2`; \
-		if ! ( ${GREP} "DICT $${LANGUAGE} $${COUNTRY}" \
-		    ${DICT_LIST_INST} > /dev/null && test -z $${DICT_OVERWRITE} ) ; \
-		then  \
-			if ! (cd ${DICT_PATH} && ${EXTRACT_CMD_L} \
-				${EXTRACT_BEFORE_ARGS_L} \
-				${_DISTDIR}/$${file} '*.aff' '*.dic' \
-				${EXTRACT_AFTER_ARGS_L}) ; \
-			then \
-				${ECHO} "Extracting of $${file} failed"; \
-				exit 1; \
-			fi ; \
-			${ECHO_MSG} "===>   Register spelling dictionary $${LANGUAGE}_$${COUNTRY}"; \
-			${ECHO} "@exec ${ECHO} \"DICT $${LANGUAGE} $${COUNTRY} $${ABRV}\" \
-			    >> ${DICT_LIST}" >> ${TMPPLIST} ; \
-			${ECHO_CMD} "DICT $${LANGUAGE} $${COUNTRY} $${ABRV}" >> ${DICT_LIST_INST} ; \
-			cd ${PREFIX} && ${FIND} -s ${DICT_DIR} -type f | \
-			    ${GREP} $${LANGUAGE}_$${COUNTRY} >> ${TMPPLIST} ; \
-			cd ${PREFIX} && ${FIND} -s ${DICT_DIR} -type f | \
-			    ${GREP} $${LANGUAGE}_$${COUNTRY} | \
-			    ${XARGS} chmod 755 ; \
-			${ECHO} "@unexec ${CP} ${DICT_LIST} \
-			    ${DICT_LIST}.$${LANGUAGE}_$${COUNTRY}" >> ${TMPPLIST} ; \
-			${ECHO} "@unexec \
-			    if ! ( ${CAT} ${DICT_LIST}.$${LANGUAGE}_$${COUNTRY} | \
-				${GREP} -v -e '^DICT.*$${LANGUAGE}_$${COUNTRY}' > ${DICT_LIST} ) ; then \
-					${ECHO_MSG} '===>   Notice: ${DICT_LIST} is empty' ; \
-			    fi" >> ${TMPPLIST} ; \
-			${ECHO} "@unexec ${RM} ${DICT_LIST}.$${LANGUAGE}_$${COUNTRY}" \
-			    >> ${TMPPLIST} ; \
-			case $${ABRV} in \
-			de_DE) \
-				${ECHO_MSG} "===>   Cross-register spelling dictionary $${ABRV} to $${LANGUAGE}_AT"; \
-				${LN} -fs ${DICT_PATH}/de_DE.aff ${DICT_PATH}/de_AT.aff; \
-				${ECHO} "@exec ${ECHO} \"DICT $${LANGUAGE} AT de_AT\" \
-				    >> ${DICT_LIST}" >> ${TMPPLIST} ; \
-				${ECHO_CMD} "DICT $$LANGUAGE AT $${ABRV}" >> ${DICT_LIST_INST} ; \
-				cd ${PREFIX} && ${FIND} -s ${DICT_DIR} -type f \
-				    | ${GREP} $${LANGUAGE}_AT >> ${TMPPLIST} ; \
-				cd ${PREFIX} && ${FIND} -s ${DICT_DIR} -type l \
-				    | ${GREP} $${LANGUAGE}_AT >> ${TMPPLIST} ; \
-				${ECHO} "@unexec ${CP} ${DICT_LIST} \
-				    ${DICT_LIST}.$${LANGUAGE}_AT" >> ${TMPPLIST} ; \
-				${ECHO} "@unexec \
-				    if ! ( ${CAT} ${DICT_LIST}.$${LANGUAGE}_AT | \
-					${GREP} -v -e '^DICT.*$${LANGUAGE}_AT' > ${DICT_LIST} ) ;  then \
-					${ECHO_MSG} '===>   Notice: ${DICT_LIST} is empty' ; \
-				    fi" >> ${TMPPLIST} ; \
-				${ECHO} "@unexec ${RM} ${DICT_LIST}.$${LANGUAGE}_AT" \
-				    >> ${TMPPLIST} ; \
-				;; \
-			esac \
-		else \
-				${ECHO_MSG} "===>   Dictionary $${LANGUAGE}_$${COUNTRY} already registered"; \
-				${ECHO_MSG} "===>   Set DICT_OVERWRITE=YES if you like to overwrite it"; \
-		fi ; \
-	done
-	@for file in ${HYPHDIST}; do \
-		ABRV=`${ECHO_CMD} $${file} | ${SED} -e 's|\.zip||' -e 's|^hyph_||'`; \
-		LANGUAGE=`${ECHO_CMD} $${ABRV} | ${SED} -e 's|_.*||'`; \
-		COUNTRY=`${ECHO_CMD} $${ABRV} | ${SED} -e 's|.*_||' | ${CUT} -c 1,2 | ${TR} "[:lower:]" "[:upper:]"` ; \
-		if ! ( ${GREP} "HYPH $${LANGUAGE} $${COUNTRY}" \
-		    ${DICT_LIST_INST} > /dev/null && test -z $${DICT_OVERWRITE} ) ; \
-		then  \
-			if ! (cd ${DICT_PATH} && ${EXTRACT_CMD_L} \
-				${EXTRACT_BEFORE_ARGS_L} \
-				${_DISTDIR}/$${file} '*.dic' \
-				${EXTRACT_AFTER_ARGS_L}) ; \
-			then \
-				${ECHO} "Extracting of $${file} failed"; \
-				exit 1; \
-			fi ; \
-			${ECHO_MSG} "===>   Register hyphenation dictionary hyph_$${ABRV}"; \
-			${ECHO} "@exec ${ECHO} \"HYPH $${LANGUAGE} $${COUNTRY} hyph_$${ABRV}\" \
-			    >> ${DICT_LIST}" >> ${TMPPLIST} ; \
-			${ECHO_CMD} "HYPH $${LANGUAGE} $${COUNTRY} hyph_$${ABRV}" >> ${DICT_LIST_INST} ; \
-			cd ${PREFIX} && ${FIND} -s ${DICT_DIR} -type f | \
-			    ${GREP} hyph_$${ABRV}.dic >> ${TMPPLIST} ; \
-			cd ${PREFIX} && ${FIND} -s ${DICT_DIR} -type f | \
-			    ${GREP} hyph_$${ABRV}.dic | ${XARGS} chmod 755 ; \
-			${ECHO} "@unexec ${CP} ${DICT_LIST} \
-			    ${DICT_LIST}.hyph_$${LANGUAGE}_$${COUNTRY}" >> ${TMPPLIST} ; \
-			${ECHO} "@unexec \
-			    if ! ( ${CAT} ${DICT_LIST}.hyph_$${LANGUAGE}_$${COUNTRY} | \
-				${GREP} -v -e '^HYPH.*hyph_$${ABRV}' > ${DICT_LIST} ) ; then \
-					${ECHO_MSG} '===>   Notice: ${DICT_LIST} is empty' ; \
-			    fi" >> ${TMPPLIST} ; \
-			${ECHO} "@unexec ${RM} ${DICT_LIST}.hyph_$${LANGUAGE}_$${COUNTRY}" \
-			    >> ${TMPPLIST} ; \
-		else \
-				${ECHO_MSG} "===>   Hyphenation Dictionary $${LANGUAGE}_$${COUNTRY} already registered"; \
-				${ECHO_MSG} "===>   Set DICT_OVERWRITE=YES if you like to overwrite it"; \
-		fi ; \
-	done
-
-.include <bsd.port.post.mk>
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-all/distinfo ports/editors/ooodict-sv_SE/ooodict-all/distinfo
--- ports.orig/editors/ooodict-sv_SE/ooodict-all/distinfo	Mon Feb 21 03:06:09 2005
+++ ports/editors/ooodict-sv_SE/ooodict-all/distinfo	Wed Dec 31 17:00:00 1969
@@ -1,37 +0,0 @@
-MD5 (openoffice/bg_BG.zip) = IGNORE
-MD5 (openoffice/ca_ES.zip) = IGNORE
-MD5 (openoffice/hr_HR.zip) = IGNORE
-MD5 (openoffice/cs_CZ.zip) = IGNORE
-MD5 (openoffice/da_DK.zip) = IGNORE
-MD5 (openoffice/nl_NL.zip) = IGNORE
-MD5 (openoffice/en_CA.zip) = IGNORE
-MD5 (openoffice/en_GB.zip) = IGNORE
-MD5 (openoffice/fr_FR.zip) = IGNORE
-MD5 (openoffice/de_DE.zip) = IGNORE
-MD5 (openoffice/de_CH.zip) = IGNORE
-MD5 (openoffice/hu_HU.zip) = IGNORE
-MD5 (openoffice/it_IT.zip) = IGNORE
-MD5 (openoffice/pl_PL.zip) = IGNORE
-MD5 (openoffice/pt_PT.zip) = IGNORE
-MD5 (openoffice/pt_BR.zip) = IGNORE
-MD5 (openoffice/es_ES.zip) = IGNORE
-MD5 (openoffice/sk_SK.zip) = IGNORE
-MD5 (openoffice/sv_SE.zip) = IGNORE
-MD5 (openoffice/el_GR.zip) = IGNORE
-MD5 (openoffice/ru_RU_yo.zip) = IGNORE
-MD5 (openoffice/uk_UA.zip) = IGNORE
-MD5 (openoffice/hyph_cs_CZ.zip) = IGNORE
-MD5 (openoffice/hyph_da_DK.zip) = IGNORE
-MD5 (openoffice/hyph_de_DE.zip) = IGNORE
-MD5 (openoffice/hyph_en_CA.zip) = IGNORE
-MD5 (openoffice/hyph_en_GB.zip) = IGNORE
-MD5 (openoffice/hyph_es_ES.zip) = IGNORE
-MD5 (openoffice/hyph_fr_FR.zip) = IGNORE
-MD5 (openoffice/hyph_it_IT.zip) = IGNORE
-MD5 (openoffice/hyph_nl_NL.zip) = IGNORE
-MD5 (openoffice/hyph_pt_BR.zip) = IGNORE
-MD5 (openoffice/hyph_pt_PT.zip) = IGNORE
-MD5 (openoffice/hyph_ru_RU.zip) = IGNORE
-MD5 (openoffice/hyph_sk_SK.zip) = IGNORE
-MD5 (openoffice/hyph_sl_SI.zip) = IGNORE
-MD5 (openoffice/hyph_uk_UA.zip) = IGNORE
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-all/pkg-descr ports/editors/ooodict-sv_SE/ooodict-all/pkg-descr
--- ports.orig/editors/ooodict-sv_SE/ooodict-all/pkg-descr	Sun Oct 26 17:33:31 2003
+++ ports/editors/ooodict-sv_SE/ooodict-all/pkg-descr	Wed Dec 31 17:00:00 1969
@@ -1,9 +0,0 @@
-Ooodict-all does contain various spelling dictionaries. As format
-MySpell is used. MySpell is based on Ispell, but uses a faster
-format (modified to permit fast parsing, be case sensitive).
-
-As ISpell, MySpell is a fast screen-oriented spelling checker that
-shows you your errors in the context of the original file, and
-suggests possible corrections when it can figure them out.
-
-WWW: http://lingucomponent.openoffice.org/
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-all/pkg-message ports/editors/ooodict-sv_SE/ooodict-all/pkg-message
--- ports.orig/editors/ooodict-sv_SE/ooodict-all/pkg-message	Mon Aug 12 05:57:53 2002
+++ ports/editors/ooodict-sv_SE/ooodict-all/pkg-message	Wed Dec 31 17:00:00 1969
@@ -1,10 +0,0 @@
-First, check if $LANG is set in your environment. Set
-it to the appropriate value.
-
-Now, start up OpenOffice.org, and go to:
-
-Tools->Options->LanguageSettings->WritingAids
-
-Hit "Edit" and use the pull down menu to select your locale
-and then make sure to check the MySpell Spell Checker for
-that locale.
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-bg_BG/Makefile ports/editors/ooodict-sv_SE/ooodict-bg_BG/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-bg_BG/Makefile	Sat Nov 15 03:08:56 2003
+++ ports/editors/ooodict-sv_SE/ooodict-bg_BG/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,18 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Bulgarian (Bulgaria) language
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-bg_BG/Makefile,v 1.5 2003/11/15 10:08:56 linimon Exp $
-#
-
-COMMENT=	Bulgarian (Bulgaria) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	bg
-LANGSUFFIX=	BG
-LANGDIST+=	bg_BG.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-ca_ES/Makefile ports/editors/ooodict-sv_SE/ooodict-ca_ES/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-ca_ES/Makefile	Sat Nov 15 03:08:56 2003
+++ ports/editors/ooodict-sv_SE/ooodict-ca_ES/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,18 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Catalan language
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-ca_ES/Makefile,v 1.5 2003/11/15 10:08:56 linimon Exp $
-#
-
-COMMENT=	Catalan MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	ca
-LANGSUFFIX=	ES
-LANGDIST+=	ca_ES.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-es
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-cs_CZ/Makefile ports/editors/ooodict-sv_SE/ooodict-cs_CZ/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-cs_CZ/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-sv_SE/ooodict-cs_CZ/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Czech (Czech Republic) language
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-cs_CZ/Makefile,v 1.7 2003/11/15 10:08:57 linimon Exp $
-#
-
-COMMENT=	Czech (Czech Republic) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	cs 
-LANGSUFFIX=	CZ
-LANGDIST+=	cs_CZ.zip
-HYPHDIST+=	hyph_cs_CZ.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-da_DK/Makefile ports/editors/ooodict-sv_SE/ooodict-da_DK/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-da_DK/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-sv_SE/ooodict-da_DK/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Danish (Denmark)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-da_DK/Makefile,v 1.7 2003/11/15 10:08:57 linimon Exp $
-#
-
-COMMENT=	Danish (Denmark) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	da
-LANGSUFFIX=	DK
-LANGDIST+=	da_DK.zip
-HYPHDIST+=	hyph_da_DK.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-dk
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-el_GR/Makefile ports/editors/ooodict-sv_SE/ooodict-el_GR/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-el_GR/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-sv_SE/ooodict-el_GR/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,18 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Greek (Greece)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-el_GR/Makefile,v 1.6 2003/11/15 10:08:57 linimon Exp $
-#
-
-COMMENT=	Greek (Greece) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	el
-LANGSUFFIX=	GR
-LANGDIST+=	el_GR.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-gr
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-en_CA/Makefile ports/editors/ooodict-sv_SE/ooodict-en_CA/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-en_CA/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-sv_SE/ooodict-en_CA/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for English (Canada)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-en_CA/Makefile,v 1.6 2003/11/15 10:08:57 linimon Exp $
-#
-
-COMMENT=	English (Canada) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	en
-LANGSUFFIX=	CA
-LANGDIST+=	en_CA.zip
-HYPHDIST+=	hyph_en_CA.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-en_GB/Makefile ports/editors/ooodict-sv_SE/ooodict-en_GB/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-en_GB/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-sv_SE/ooodict-en_GB/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for English (United Kingdom)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-en_GB/Makefile,v 1.6 2003/11/15 10:08:57 linimon Exp $
-#
-
-COMMENT=	English (United Kingdom) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	en
-LANGSUFFIX=	GB
-LANGDIST+=	en_GB.zip
-HYPHDIST+=	hyph_en_GB.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-en_US/Makefile ports/editors/ooodict-sv_SE/ooodict-en_US/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-en_US/Makefile	Sat Nov 15 03:08:57 2003
+++ ports/editors/ooodict-sv_SE/ooodict-en_US/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for English (United States)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-en_US/Makefile,v 1.6 2003/11/15 10:08:57 linimon Exp $
-#
-
-COMMENT=	English (United States) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	en
-LANGSUFFIX=	US
-LANGDIST+=	en_US.zip
-HYPHDIST+=	hyph_en_US.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-es_ES/Makefile ports/editors/ooodict-sv_SE/ooodict-es_ES/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-es_ES/Makefile	Sat Dec 18 16:02:24 2004
+++ ports/editors/ooodict-sv_SE/ooodict-es_ES/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,23 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Spanish (Spain)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-es_ES/Makefile,v 1.9 2004/12/18 23:02:24 kris Exp $
-#
-
-COMMENT=	Spanish (Spain) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	es
-LANGSUFFIX=	ES
-LANGDIST+=	es_ES.zip
-HYPHDIST+=	hyph_es_ES.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-es
-
-BROKEN=		"Checksum mismatch"
-EXPIRATION_DATE=2005-02-18
-DEPRECATED=	${BROKEN}
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-hr_HR/Makefile ports/editors/ooodict-sv_SE/ooodict-hr_HR/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-hr_HR/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-sv_SE/ooodict-hr_HR/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,18 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Croatian (Croatia)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-hr_HR/Makefile,v 1.5 2003/11/15 10:08:58 linimon Exp $
-#
-
-COMMENT=	Croatian (Croatia) Myspell dictionary for OpenOffice.org
-
-LANGPREFIX=	hr
-LANGSUFFIX=	HR
-LANGDIST+=	hr_HR.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-it_IT/Makefile ports/editors/ooodict-sv_SE/ooodict-it_IT/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-it_IT/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-sv_SE/ooodict-it_IT/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Italian (Italy)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-it_IT/Makefile,v 1.7 2003/11/15 10:08:58 linimon Exp $
-#
-
-COMMENT=	Italian (Italy) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	it
-LANGSUFFIX=	IT
-LANGDIST+=	it_IT.zip
-HYPHDIST+=	hyph_it_IT.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-it
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-nl_NL/Makefile ports/editors/ooodict-sv_SE/ooodict-nl_NL/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-nl_NL/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-sv_SE/ooodict-nl_NL/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Dutch (Netherland)
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-nl_NL/Makefile,v 1.7 2003/11/15 10:08:58 linimon Exp $
-#
-
-COMMENT=	Dutch (Netherland) MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	nl
-LANGSUFFIX=	NL
-LANGDIST+=	nl_NL.zip
-HYPHDIST+=	hyph_nl_NL.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0-nl
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/editors/ooodict-sv_SE/ooodict-sk_SK/Makefile ports/editors/ooodict-sv_SE/ooodict-sk_SK/Makefile
--- ports.orig/editors/ooodict-sv_SE/ooodict-sk_SK/Makefile	Sat Nov 15 03:08:58 2003
+++ ports/editors/ooodict-sv_SE/ooodict-sk_SK/Makefile	Wed Dec 31 17:00:00 1969
@@ -1,19 +0,0 @@
-# New ports collection makefile for:
-# OpenOffice.org Spell Checking Dictionary
-# for Slovak
-# Date created:		Tue Aug 10 24:00:00 UTC 2002
-# Whom:		Martin Blapp <mbr@FreeBSD.org>
-#
-# $FreeBSD: ports/editors/ooodict-sk_SK/Makefile,v 1.7 2003/11/15 10:08:58 linimon Exp $
-#
-
-COMMENT=	Slovak MySpell dictionary for OpenOffice.org
-
-LANGPREFIX=	sk
-LANGSUFFIX=	SK
-LANGDIST+=	sk_SK.zip
-HYPHDIST+=	hyph_sk_SK.zip
-MASTERDIR=	${.CURDIR}/../ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
-
-.include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/french/ooodict-fr_FR/Makefile ports/french/ooodict-fr_FR/Makefile
--- ports.orig/french/ooodict-fr_FR/Makefile	Sun Nov  9 07:11:26 2003
+++ ports/french/ooodict-fr_FR/Makefile	Wed May 18 04:50:18 2005
@@ -15,6 +15,6 @@
 LANGDIST+=	fr_FR.zip
 HYPHDIST+=	hyph_fr_FR.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/french/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/german/ooodict-de_CH/Makefile ports/german/ooodict-de_CH/Makefile
--- ports.orig/german/ooodict-de_CH/Makefile	Sun Nov  9 07:11:26 2003
+++ ports/german/ooodict-de_CH/Makefile	Wed May 18 04:51:07 2005
@@ -13,8 +13,8 @@
 LANGPREFIX=	de
 LANGSUFFIX=	CH
 LANGDIST+=	de_CH.zip
-HYPHDIST+=	hyph_de_DE.zip
+HYPHDIST+=	hyph_de_CH.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/german/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/german/ooodict-de_DE/Makefile ports/german/ooodict-de_DE/Makefile
--- ports.orig/german/ooodict-de_DE/Makefile	Sun Nov  9 07:11:26 2003
+++ ports/german/ooodict-de_DE/Makefile	Wed May 18 04:51:15 2005
@@ -15,6 +15,6 @@
 LANGDIST+=	de_DE.zip
 HYPHDIST+=	hyph_de_DE.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/german/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/hungarian/ooodict/Makefile ports/hungarian/ooodict/Makefile
--- ports.orig/hungarian/ooodict/Makefile	Thu Jan 15 19:58:19 2004
+++ ports/hungarian/ooodict/Makefile	Wed May 18 03:35:57 2005
@@ -8,13 +8,13 @@
 #
 
 COMMENT=	Hungarian (Hungary) Myspell dictionary for OpenOffice.org
-
 CATEGORIES=	hungarian
 
 LANGPREFIX=	hu
 LANGSUFFIX=	HU
 LANGDIST+=	hu_HU.zip
+HYPHDIST+=	hyph_bg_BG.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/polish/ooodict_PL/Makefile ports/polish/ooodict_PL/Makefile
--- ports.orig/polish/ooodict_PL/Makefile	Sat Dec 18 16:02:31 2004
+++ ports/polish/ooodict_PL/Makefile	Wed May 18 04:51:26 2005
@@ -13,11 +13,8 @@
 LANGPREFIX=	pl
 LANGSUFFIX=	PL
 LANGDIST+=	pl_PL.zip
+HYPHDIST+=      hyph_pl_PL.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/polish/openoffice-1.0
-
-BROKEN=		"Checksum mismatch"
-EXPIRATION_DATE=2005-02-18
-DEPRECATED=	${BROKEN}
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/portuguese/ooodict-pt_BR/Makefile ports/portuguese/ooodict-pt_BR/Makefile
--- ports.orig/portuguese/ooodict-pt_BR/Makefile	Sun Nov  9 07:11:28 2003
+++ ports/portuguese/ooodict-pt_BR/Makefile	Wed May 18 04:51:36 2005
@@ -15,8 +15,6 @@
 LANGDIST+=	pt_BR.zip
 HYPHDIST+=	hyph_pt_BR.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/portuguese/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
-
-PKGNAMEPREFIX=	pt_BR-
diff -ruN ports.orig/portuguese/ooodict-pt_PT/Makefile ports/portuguese/ooodict-pt_PT/Makefile
--- ports.orig/portuguese/ooodict-pt_PT/Makefile	Sun Nov  9 07:11:28 2003
+++ ports/portuguese/ooodict-pt_PT/Makefile	Wed May 18 04:51:45 2005
@@ -15,8 +15,6 @@
 LANGDIST+=	pt_PT.zip
 HYPHDIST+=	hyph_pt_PT.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/portuguese/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
-
-PKGNAMEPREFIX=	pt_PT-
diff -ruN ports.orig/russian/ooodict-ru_RU/Makefile ports/russian/ooodict-ru_RU/Makefile
--- ports.orig/russian/ooodict-ru_RU/Makefile	Sun Nov  9 07:11:28 2003
+++ ports/russian/ooodict-ru_RU/Makefile	Wed May 18 04:51:55 2005
@@ -12,8 +12,9 @@
 
 LANGPREFIX=	ru
 LANGSUFFIX=	RU
-LANGDIST+=	ru_RU_io.zip
+LANGDIST+=	ru_RU.zip
+HYPHDIST+=      hyph_ru_RU.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/russian/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
diff -ruN ports.orig/ukrainian/ooodict-uk_UA/Makefile ports/ukrainian/ooodict-uk_UA/Makefile
--- ports.orig/ukrainian/ooodict-uk_UA/Makefile	Sun Nov  9 07:11:29 2003
+++ ports/ukrainian/ooodict-uk_UA/Makefile	Wed May 18 03:09:28 2005
@@ -13,7 +13,8 @@
 LANGPREFIX=	uk
 LANGSUFFIX=	UA
 LANGDIST+=	uk_UA.zip
+HYPHDIST+=	hyph_uk_UA.zip
 MASTERDIR=	${.CURDIR}/../../editors/ooodict-all
-RDEP=		${PORTSDIR}/editors/openoffice-1.0
+RDEP=		${PORTSDIR}/editors/openoffice-1.1
 
 .include "${MASTERDIR}/Makefile"
Comment 1 Pav Lucistnik freebsd_committer 2005-05-19 13:23:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainers
Comment 2 Nicholas Kirby 2005-05-28 02:33:50 UTC
http://lists.freebsd.org/pipermail/freebsd-openoffice/2005-May/001543.html

"any help is extermely appreciated"

Maintainer of ports is extremely busy with the main OpenOffice.org ports, and 
has requested another commiter handle the editors/ooodict-all commit and 
slave ports patch.

If any commiter could pick up the PR, It would be very much so appreciated.
Comment 3 Pav Lucistnik freebsd_committer 2005-06-06 00:51:49 UTC
State Changed
From-To: open->closed

Committed, thanks!